﻿Imports System.Linq
Imports System.Net
Imports Microsoft.Phone.Controls
Imports System.Data.Services.Client
Imports FlexibleQueryVB.CityCrimeService

Partial Public Class MainPage
	Inherits PhoneApplicationPage

	Private _context As datagovCrimesContainer
	Private ReadOnly _crimesUri = New Uri("https://api.datamarket.azure.com/data.gov/Crimes/")
	Private _crimes As DataServiceCollection(Of CityCrime)

	Private _userId As String = "live@live.com"
	Private _key As String = "FtsDefZvJNf0MXiTgFgxmiqGqYKkK6kkNrC3xiPCEdU="

	' Constructor
	Public Sub New()
		InitializeComponent()

		_context = New datagovCrimesContainer(_crimesUri)

		_crimes = New DataServiceCollection(Of CityCrime)(_context)
		Dim _query = From c In _context.CityCrime Where c.State = "Pennsylvania" And c.City = "Pittsburgh" Select c Order By c.Year

		_context.Credentials = New NetworkCredential(_userId, _key)

		AddHandler _crimes.LoadCompleted, AddressOf crimes_loadcompleted

		_crimes.LoadAsync(_query)


	End Sub

	Private Sub crimes_loadcompleted()

		Me.LayoutRoot.DataContext = _crimes

	End Sub

End Class
